Bug 11597 - backport some valgrind fixes from upstream master to 4.2 / 4.3
backport some valgrind fixes from upstream master to 4.2 / 4.3
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: smbtorture
4.3.1
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-10 17:32 UTC by Noel Power
Modified: 2015-11-23 11:29 UTC (History)
3 users (show)

See Also:


Attachments
patches backported to 4.3.1 (6.19 KB, patch)
2015-11-10 17:33 UTC, Noel Power
jra: review+
ddiss: review+
Details
patches backported to 4.2.5 (6.18 KB, patch)
2015-11-10 17:34 UTC, Noel Power
jra: review+
ddiss: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Noel Power 2015-11-10 17:32:06 UTC
following patches from master (identified from running valgrind & smbtorture) could also do with being backported
Comment 1 Noel Power 2015-11-10 17:33:54 UTC
Created attachment 11590 [details]
patches backported to 4.3.1
Comment 2 Noel Power 2015-11-10 17:34:21 UTC
Created attachment 11591 [details]
patches backported to 4.2.5
Comment 3 Jeremy Allison 2015-11-10 18:56:28 UTC
Comment on attachment 11590 [details]
patches backported to 4.3.1

LGTM.
Comment 4 Jeremy Allison 2015-11-10 19:03:03 UTC
Comment on attachment 11591 [details]
patches backported to 4.2.5

LGTM.
Comment 6 David Disseldorp 2015-11-19 15:08:09 UTC
@Karolin: please push the maintenance patches.
Comment 7 Karolin Seeger 2015-11-20 08:11:23 UTC
(In reply to David Disseldorp from comment #6)
Pushed to autobuild-v4-[3|2]-test.
Comment 8 Karolin Seeger 2015-11-20 11:48:43 UTC
(In reply to Karolin Seeger from comment #7)
Pushed to v4-3-test, waiting for autobuild-v4-2-test
Comment 9 Karolin Seeger 2015-11-23 11:29:22 UTC
(In reply to Karolin Seeger from comment #8)
Pushed to both branches.
Closing out bug report.

Thanks!